| Home | Libraries | People | FAQ | More

##### interior_rings

Function to get the interior rings of a polygon (non const version)

###### Synopsis

    template<typename Polygon>
    interior_return_type<Polygon>::type interior_rings(Polygon & polygon)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Polygon & | polygon type | polygon | the polygon to get the interior rings from

###### Returns

the interior rings (possibly a reference)

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/core/interior_rings.hpp>`